# getbestblockhash

Returns the hash of the best (tip) block in the most-work fully-validated chain.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Reference:** [**Here**](https://developer.bitcoin.org/reference/rpc/getbestblockhash.html)

## Returns

| Name | Type   | Description                 |
| ---- | ------ | --------------------------- |
| hex  | string | the block hash, hex-encoded |

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getbestblockhash",
	"params": []
}'
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getbestblockhash",
	"params": []
}'
```

{% endtab %}
{% endtabs %}
